# Class EcsvFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.ecsv.EcsvFormatException

All Implemented Interfaces:
  `Serializable`

public class EcsvFormatException extends Exception
Exception thrown if an attempt to read an ECSV file fails because the input does not appear to conform to the ECSV format.

Since:
  27 Apr 2020
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EcsvFormatException(String msg)`
Constructs an exception with a given message.
`EcsvFormatException(String msg, Throwable cause)`
Constructs an exception with a given message and cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EcsvFormatException

public EcsvFormatException(String msg, Throwable cause)
Constructs an exception with a given message and cause.

Parameters:
  `msg` - message
  `cause` - underlying exception

### EcsvFormatException

public EcsvFormatException(String msg)
Constructs an exception with a given message.

Parameters:
  `msg` - message